
package com.google.api.ads.adwords.jaxws.v201109_1.mcm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents an AdWords manager-client link.
 *           
 * 
 * <p>Java class for Link complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Link">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="managerId" type="{https://adwords.google.com/api/adwords/mcm/v201109_1}CustomerId" minOccurs="0"/>
 *         &lt;element name="clientId" type="{https://adwords.google.com/api/adwords/mcm/v201109_1}CustomerId" minOccurs="0"/>
 *         &lt;element name="typeOfLink" type="{https://adwords.google.com/api/adwords/mcm/v201109_1}LinkType" minOccurs="0"/>
 *         &lt;element name="descriptiveName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Link.Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Link", propOrder = {
    "managerId",
    "clientId",
    "typeOfLink",
    "descriptiveName",
    "linkType"
})
public class Link {

    protected CustomerId managerId;
    protected CustomerId clientId;
    protected LinkType typeOfLink;
    protected String descriptiveName;
    @XmlElement(name = "Link.Type")
    protected String linkType;

    /**
     * Gets the value of the managerId property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerId }
     *     
     */
    public CustomerId getManagerId() {
        return managerId;
    }

    /**
     * Sets the value of the managerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerId }
     *     
     */
    public void setManagerId(CustomerId value) {
        this.managerId = value;
    }

    /**
     * Gets the value of the clientId property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerId }
     *     
     */
    public CustomerId getClientId() {
        return clientId;
    }

    /**
     * Sets the value of the clientId property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerId }
     *     
     */
    public void setClientId(CustomerId value) {
        this.clientId = value;
    }

    /**
     * Gets the value of the typeOfLink property.
     * 
     * @return
     *     possible object is
     *     {@link LinkType }
     *     
     */
    public LinkType getTypeOfLink() {
        return typeOfLink;
    }

    /**
     * Sets the value of the typeOfLink property.
     * 
     * @param value
     *     allowed object is
     *     {@link LinkType }
     *     
     */
    public void setTypeOfLink(LinkType value) {
        this.typeOfLink = value;
    }

    /**
     * Gets the value of the descriptiveName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescriptiveName() {
        return descriptiveName;
    }

    /**
     * Sets the value of the descriptiveName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescriptiveName(String value) {
        this.descriptiveName = value;
    }

    /**
     * Gets the value of the linkType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLinkType() {
        return linkType;
    }

    /**
     * Sets the value of the linkType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLinkType(String value) {
        this.linkType = value;
    }

}
