
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Budgets are used for managing the amount of money spent on AdWords.
 *           
 * 
 * <p>Java class for Budget complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Budget">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="period" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Budget.BudgetPeriod" minOccurs="0"/>
 *         &lt;element name="amount" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Money" minOccurs="0"/>
 *         &lt;element name="deliveryMethod" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Budget.BudgetDeliveryMethod" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Budget", propOrder = {
    "period",
    "amount",
    "deliveryMethod"
})
public class Budget {

    protected BudgetBudgetPeriod period;
    protected Money amount;
    protected BudgetBudgetDeliveryMethod deliveryMethod;

    /**
     * Gets the value of the period property.
     * 
     * @return
     *     possible object is
     *     {@link BudgetBudgetPeriod }
     *     
     */
    public BudgetBudgetPeriod getPeriod() {
        return period;
    }

    /**
     * Sets the value of the period property.
     * 
     * @param value
     *     allowed object is
     *     {@link BudgetBudgetPeriod }
     *     
     */
    public void setPeriod(BudgetBudgetPeriod value) {
        this.period = value;
    }

    /**
     * Gets the value of the amount property.
     * 
     * @return
     *     possible object is
     *     {@link Money }
     *     
     */
    public Money getAmount() {
        return amount;
    }

    /**
     * Sets the value of the amount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Money }
     *     
     */
    public void setAmount(Money value) {
        this.amount = value;
    }

    /**
     * Gets the value of the deliveryMethod property.
     * 
     * @return
     *     possible object is
     *     {@link BudgetBudgetDeliveryMethod }
     *     
     */
    public BudgetBudgetDeliveryMethod getDeliveryMethod() {
        return deliveryMethod;
    }

    /**
     * Sets the value of the deliveryMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link BudgetBudgetDeliveryMethod }
     *     
     */
    public void setDeliveryMethod(BudgetBudgetDeliveryMethod value) {
        this.deliveryMethod = value;
    }

}
