
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Contains a subset of campaign resulting from the filtering and paging of the
 *             {@link com.google.ads.api.services.campaignmgmt.campaign.CampaignService#get} call.
 *           
 * 
 * <p>Java class for CampaignPage complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CampaignPage">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201109_1}Page">
 *       &lt;sequence>
 *         &lt;element name="totalBudget" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Budget" minOccurs="0"/>
 *         &lt;element name="entries" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Campaign" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CampaignPage", propOrder = {
    "totalBudget",
    "entries"
})
public class CampaignPage
    extends Page
{

    protected Budget totalBudget;
    protected List<Campaign> entries;

    /**
     * Gets the value of the totalBudget property.
     * 
     * @return
     *     possible object is
     *     {@link Budget }
     *     
     */
    public Budget getTotalBudget() {
        return totalBudget;
    }

    /**
     * Sets the value of the totalBudget property.
     * 
     * @param value
     *     allowed object is
     *     {@link Budget }
     *     
     */
    public void setTotalBudget(Budget value) {
        this.totalBudget = value;
    }

    /**
     * Gets the value of the entries property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the entries property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEntries().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Campaign }
     * 
     * 
     */
    public List<Campaign> getEntries() {
        if (entries == null) {
            entries = new ArrayList<Campaign>();
        }
        return this.entries;
    }

}
