
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ConversionOptimizerBidType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ConversionOptimizerBidType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="TARGET_CPA"/>
 *     &lt;enumeration value="MAX_CPA"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ConversionOptimizerBidType")
@XmlEnum
public enum ConversionOptimizerBidType {


    /**
     * 
     *                 Average cost-per-acquisition (targetCPA) bid type.
     *               
     * 
     */
    TARGET_CPA,

    /**
     * 
     *                 Max CPA bid type.
     *               
     * 
     */
    MAX_CPA;

    public String value() {
        return name();
    }

    public static ConversionOptimizerBidType fromValue(String v) {
        return valueOf(v);
    }

}
