
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Adgroup level bids used in manual CPM bidding strategy.
 *             <span class="constraint AdxEnabled">This is enabled for AdX.</span>
 *           
 * 
 * <p>Java class for ManualCPMAdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ManualCPMAdGroupBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}AdGroupBids">
 *       &lt;sequence>
 *         &lt;element name="maxCpm" type="{https://adwords.google.com/api/adwords/cm/v201206}Bid" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ManualCPMAdGroupBids", propOrder = {
    "maxCpm"
})
public class ManualCPMAdGroupBids
    extends AdGroupBids
{

    protected Bid maxCpm;

    /**
     * Gets the value of the maxCpm property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getMaxCpm() {
        return maxCpm;
    }

    /**
     * Sets the value of the maxCpm property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setMaxCpm(Bid value) {
        this.maxCpm = value;
    }

}
